package com.engine.salary.mapper.push;

import com.engine.salary.entity.push.po.PushSettingItemPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface PushSettingItemMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<PushSettingItemPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<PushSettingItemPO> listSome(PushSettingItemPO pushSettingItem);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	PushSettingItemPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param pushSettingItem 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(PushSettingItemPO pushSettingItem);
    
	/**
     * 修改，修改所有字段
     *
     * @param pushSettingItem 修改的记录
     * @return 返回影响行数
     */
	int update(PushSettingItemPO pushSettingItem);
	
	/**
     * 修改，忽略null字段
     *
     * @param pushSettingItem 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(PushSettingItemPO pushSettingItem);
	
	/**
     * 删除记录
     *
     * @param pushSettingItem 待删除的记录
     * @return 返回影响行数
     */
	int delete(PushSettingItemPO pushSettingItem);
    
    /**
     * 批量删除记录
     * @param ids 主键id集合
     */
    void deleteByIds(@Param("ids") Collection<Long> ids);
	
}